%define pypi_name	youtube_dl

Name:		youtube-dl
Version:	2021.12.17
Release:	%mkrel 1
Summary:	Small command-line program to download videos from YouTube
License:	Public Domain
Group:		Video/Players
URL:		https://yt-dl.org/
Source0:	https://yt-dl.org/downloads/%{version}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	zip
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	python3

%description
Small command-line program to download videos from YouTube.

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
This is the Python 3 bindings for %{name}.

%prep
%setup -q -n %{name}

# remove pre-built file
rm youtube-dl

%build
%py3_build

%install
%py3_install

%make_install PREFIX="%{_prefix}" MANDIR="%{_mandir}"

# force the youtube-dl binary to use python 3 environment by default
sed -i -e 's,#!/usr/bin/env python,#!/usr/bin/env python3,' %{buildroot}%{_bindir}/%{name}

rm -rf %{buildroot}%{_prefix}/etc
rm -f  %{buildroot}%{_datadir}/doc/youtube_dl/README.txt


%files
%attr(0755,root,root) %{_bindir}/%{name}
%{_sysconfdir}/bash_completion.d/youtube-dl
%{_sysconfdir}/fish/completions/youtube-dl.fish
%{_datadir}/zsh/site-functions/_youtube-dl
%{_mandir}/man1/%{name}.1.*

%files -n python3-%{name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*-py%{python3_version}.egg-info


%changelog
* Mon Aug 23 2022 tex - 2021.12.17-1pclos2022
- new for python 3.10
